Package org.apache.sysds.runtime.compress.utils

# Class ACount<T>

java.lang.Object
org.apache.sysds.runtime.compress.utils.ACount<T>

Direct Known Subclasses:
  `ACount.DArrCounts`, `ACount.DCounts`

public abstract class ACount<T> extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ACount.DArrCounts`
`static final class`
`ACount.DCounts`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`count`
The current count of this element
`int`
`id`
The current ID of this element should be unique for the user.

## Constructor Summary

Constructors
Constructor
Description
`ACount()`

## Method Summary

Modifier and Type
Method
Description
`ACount<T>`
`get(double key)`
`abstract ACount<T>`
`get(T key)`
`ACount<T>`
`inc(double key, int c, int id)`
`abstract ACount<T>`
`inc(T key, int c, int id)`
`abstract T`
`key()`
`abstract ACount<T>`
`next()`
`abstract void`
`setNext(ACount<T> e)`
`ACount<T>`
`sort()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### count

public int count
The current count of this element

### id

public int id
The current ID of this element should be unique for the user.

## Constructor Details

### ACount

public ACount()

## Method Details

### next

public abstract ACount<T> next()

### setNext

public abstract void setNext(ACount<T> e)

### key

public abstract T key()

### get

public abstract ACount<T> get(T key)

### inc

public abstract ACount<T> inc(T key, int c, int id)

### get

public ACount<T> get(double key)

### inc

public ACount<T> inc(double key, int c, int id)

### sort

public ACount<T> sort()

### toString

public String toString()

Overrides:
  `toString` in class `Object`